: Class JSFunctionAdapter

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FESI.jslib
Class JSFunctionAdapter

    java.lang.Object
      |
      +--FESI.jslib.JSFunctionAdapter

public class JSFunctionAdapter
extends java.lang.Object
implements JSFunction

Implements a default class to ease the implementation of function objects.

Constructor Summary
`JSFunctionAdapter()`

Method Summary
`java.lang.Object` | `doCall(JSObject thisObject, java.lang.Object[] args)` Call the specified EcmaScript method of this object
`java.lang.Object` | `doNew(JSObject thisObject, java.lang.Object[] args)` Create a new object, using the specified EcmaScript method of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFunctionAdapter

    public JSFunctionAdapter()

Method Detail

### doCall

    public java.lang.Object doCall(JSObject thisObject,
                                   java.lang.Object[] args)
                            throws JSException

  Call the specified EcmaScript method of this object
  Specified by:
    doCall in interface JSFunction
  Parameters:
    `thisObject` - The object for which the function is called.
    `args` - An array of parameters.
  Returns:
    The result of the evaluation
  Throws:
    JSException - For any error during interpretation

### doNew

    public java.lang.Object doNew(JSObject thisObject,
                                  java.lang.Object[] args)
                           throws JSException

  Create a new object, using the specified EcmaScript method of this object
  Specified by:
    doNew in interface JSFunction
  Parameters:
    `thisObject` - The object for which the function is called.
    `args` - An array of parameters.
  Returns:
    The result of the evaluation
  Throws:
    JSException - For any error during interpretation

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD